Primitive                package:base                R Documentation

Call a "Primitive" Internal Function

Description:

     '.Primitive' returns an entry point to a "primitive" (internally
     implemented) function.

     The advantage of '.Primitive' over '.Internal' functions is the
     potential efficiency of argument passing.

Usage:

     .Primitive(name)

Arguments:

    name: name of the R function.

See Also:

     '.Internal'.

Examples:

     mysqrt <- .Primitive("sqrt")
     c
     .Internal # this one *must* be primitive!
     get("if") # just 'if' or 'print(if)' are not syntactically ok.

